<template>
    <div>
        <h1 class="flex flex-row items-center justify-between mx-auto container p-4">
            <div class="flex flex-row items-center">
                <i v-if="back" @click="$router.back()" class="hero arrow-left solid -m-2 mr-2 p-2 rounded-full clickable-bg"></i>
                <slot></slot>
            </div>
            <slot name="right">
                <div></div>
            </slot>
        </h1>
    </div>
</template>

<script>
export default {
    props: {
        back: {
            default: false,
            type: Boolean
        }
    }
}
</script>